Bug 1430743 - Binutils fails to resolve relocations of golang shared so at build time on AArch64
Summary: Binutils fails to resolve relocations of golang shared so at build time on AA...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: binutils
Version: 7.5
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nick Clifton
QA Contact: Miloš Prchlík
Vladimír Slávik
URL:
Whiteboard:
Depends On:
Blocks: 1473718 1500836
TreeView+ depends on / blocked
 
Reported: 2017-03-09 13:24 UTC by Jakub Čajka
Modified: 2019-01-14 14:34 UTC (History)
9 users (show)

Fixed In Version: binutils-2.27-18.base.el7
Doc Type: Bug Fix
Doc Text:
The ld linker generates correct dynamic executables Previously, the *ld* linker failed to create correct dynamic executables and terminated when invoked by the Go language compiler *go* on the 64-bit ARM architecture. The linker has been updated to correctly handle copy relocations. As a result, the linker no longer fails in the described situation.
Clone Of:
: 1500836 (view as bug list)
Environment:
Last Closed: 2018-04-10 09:59:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0686 None None None 2018-04-10 10:00:54 UTC

Comment 9 Red Hat Bugzilla Rules Engine 2017-03-28 16:40:20 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.

Comment 15 Nick Clifton 2017-10-12 08:45:26 UTC
Should now be fixed (in binutils-2.27-18.base.el7).

Comment 17 Miloš Prchlík 2018-02-01 13:46:30 UTC
Verified with binutils-2.27-27.base.el7.aarch64.

Comment 20 errata-xmlrpc 2018-04-10 09:59:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0686

Comment 23 Stormy 2019-01-14 14:34:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.
https://whatstatus.co/guess-ill-die


Note You need to log in before you can comment on or make changes to this bug.